import type { _NSObject } from "../Foundation/NSObject.js";
import type { CMTimeMapping } from "../structs/CMTimeMapping.js";
export declare class _AVAssetTrackSegment extends _NSObject {
    static alloc(): _AVAssetTrackSegment;
    static new(): _AVAssetTrackSegment;
    init(): _AVAssetTrackSegment;
    /**
     * indicates the timeRange of the track of the container file of the media presented by the AVAssetTrackSegment
     */
    timeMapping(): CMTimeMapping;
    /** indicates whether the AVAssetTrackSegment is an empty segment */
    empty(): boolean;
}
